package com.prolog.eis.store_init;

import com.prolog.eis.constants.cache.EisCache;
import com.prolog.eis.dto.strategy.InitDto;
import com.prolog.eis.outbound_dispatch.DispatchStrategy;
import com.prolog.framework.core.exception.PrologException;

import java.util.Objects;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author wk
 */
public abstract class StoreInitStrategy {

    public abstract InitDto getInitDto(String billType, String warehouseArea, DispatchStrategy dispatchStrategy) throws Exception;

    /*public ConcurrentHashMap<Integer, String> getPalletPositioningStrategyMap(String billType, String warehouseArea){
        ConcurrentHashMap<Integer, String> map = EisCache.PALLET_POSITIONING_STRATEGY_MAP.get(billType + "&" + warehouseArea);
        if (Objects.isNull(map)){
            throw new PrologException(String.format("库区【%s】订单类型【%s】没有对应的库存定位策略",billType,warehouseArea));
        }
        return map;
    }*/
}
